void Higgs(){

  new TCanvas();
  c1->SetGridx();
  c1->SetGridy();
  TF1 *form = new TF1("form","[0]*x*x + [1]*x*x*x*x",-1.25,1.25);
  form->SetParameters(-1,1);
  form->SetLineWidth(4);
  form->SetName("HiggsPotential");
  form->SetTitle("The Higgs Potential: V(#phi) = #frac{1}{2}#mu^{2}#phi^{2} + #frac{1}{4}#lambda#phi^{4} for #mu^{2} = 2, #lambda = 4");
  form->Draw("AL");
  //  form->SetMaximum(1);
  //  form->SetMinimum(-1);
  form->GetHistogram()->GetXaxis()->SetTitle("#phi");
  form->GetHistogram()->GetYaxis()->SetTitle("V(#phi)");
  form->GetHistogram()->GetXaxis()->SetTitleSize(0.06);
  form->GetHistogram()->GetYaxis()->SetTitleSize(0.06);

  c1->Modified();
  c1->Update();
  TPaveText *t1 = (TPaveText*) c1->FindObject("title");
  t1->SetTextSize(0.06);
  t1->SetTextAlign(11);
  c1->Modified();
  c1->Update();

}

void Higgs3D(){

  TF2 *form = new TF2("form","[0]*y*y + [1]*y*y*y*y",0.,2*3.14159265,0.,1.);
  form->SetParameters(-1,1);
  form->SetName("HiggsPotential");
  form->SetTitle("The Higgs Potential: V(#phi) = #frac{1}{2}#mu^{2}#phi^{2} + #frac{1}{4}#lambda#phi^{4}");
  form->Draw("POLSURF1");

  c1->Modified();
  c1->Update();
  TPaveText *t1 = (TPaveText*) c1->FindObject("title");
  t1->SetTextSize(0.06);
  t1->SetTextAlign(11);
  c1->Modified();
  c1->Update();

}

