Plot()
{

  TCanvas *canvas1 = new TCanvas("canvas1","canvas1");
  TCanvas *canvas2 = new TCanvas("canvas2","canvas2");
  TCanvas *canvas3 = new TCanvas("canvas3","canvas3");

  canvas1->cd();
  canvas1->SetLogx();
  canvas1->SetLogy();
  TF1 *form1a = new TF1("form1a",Prob,1,1000000,2);
  TF1 *form2a = new TF1("form2a",Prob,1,1000000,2);
  TF1 *form3a = new TF1("form3a",Prob,1,1000000,2);
  //form1a->SetParameters(TMath::Pi()/4,0.);
  //form2a->SetParameters(TMath::Pi()/4,3.);
  //form3a->SetParameters(TMath::Pi()/4,6.);
  form1a->SetParameters(TMath::Pi()/4,1.);
  form2a->SetParameters(TMath::Pi()/4,10.);
  form3a->SetParameters(TMath::Pi()/4,100.);  
  form1a->SetNpx(10000);
  form1a->SetLineColor(2);
  form1a->SetLineStyle(2);
  form1a->SetMaximum(2);
  form1a->SetMinimum(0.0001);
  form1a->Draw();
  //form1a->SetTitle("Oscillation Probability - sin^{2}2#theta = 1");
  form1a->SetTitle("Matter Mixing Angle - sin^{2}2#theta = 1");
  form1a->GetHistogram()->GetXaxis()->SetTitle("E/#Delta m^{2} (GeV/eV^{2})");
  //form1a->GetHistogram()->GetYaxis()->SetTitle("P_{#nu_{#mu}#rightarrow#nu_{e}}");
  form1a->GetHistogram()->GetYaxis()->SetTitle("sin^{2}2#theta_{M}");
  form2a->SetNpx(10000);
  form2a->SetLineColor(3);
  form2a->SetLineStyle(4);
  form2a->Draw("same");
  form3a->SetNpx(10000);
  form3a->SetLineColor(4);
  form3a->Draw("same");


  TLegend *leg = new TLegend(0.1,0.1,0.5,0.5,"");
  //leg->AddEntry(form1a,"#rho = 0 g/cm^{3}","l");
  //leg->AddEntry(form2a,"#rho = 3 g/cm^{3}","l");
  //leg->AddEntry(form3a,"#rho = 6 g/cm^{3}","l");
  leg->AddEntry(form1a,"#rho = 1 g/cm^{3}","l");
  leg->AddEntry(form2a,"#rho = 10 g/cm^{3}","l");
  leg->AddEntry(form3a,"#rho = 100 g/cm^{3}","l");
  leg->SetFillColor(10);
  leg->SetBorderSize(0);
  leg->Draw();

  canvas2->cd();
  canvas2->SetLogx();
  canvas2->SetLogy();
  TF1 *form1b = new TF1("form1b",Prob,1,1000000,2);
  TF1 *form2b = new TF1("form2b",Prob,1,1000000,2);
  TF1 *form3b = new TF1("form3b",Prob,1,1000000,2);
  //form1b->SetParameters(TMath::Pi()/19.53,0.);
  //form2b->SetParameters(TMath::Pi()/19.53,3.);
  //form3b->SetParameters(TMath::Pi()/19.53,6.);
  form1b->SetParameters(TMath::Pi()/19.53,1.);
  form2b->SetParameters(TMath::Pi()/19.53,10.);
  form3b->SetParameters(TMath::Pi()/19.53,100.);
  form1b->SetNpx(10000);
  form1b->SetLineColor(2);
  form1b->SetLineStyle(2);
  form1b->SetMaximum(2);
  form1b->SetMinimum(0.0001);
  form1b->Draw();
  //form1b->SetTitle("Oscillation Probability - sin^{2}2#theta = 0.1");
  form1b->SetTitle("Matter Mixing Angle - sin^{2}2#theta = 0.1");
  form1b->GetHistogram()->GetXaxis()->SetTitle("E/#Delta m^{2} (GeV/eV^{2})");
  //form1b->GetHistogram()->GetYaxis()->SetTitle("P_{#nu_{#mu}#rightarrow#nu_{e}}");
  form1b->GetHistogram()->GetYaxis()->SetTitle("sin^{2}2#theta_{M}");
  form2b->SetNpx(10000);
  form2b->SetLineColor(3);
  form2b->SetLineStyle(4);
  form2b->Draw("same");
  form3b->SetNpx(10000);
  form3b->SetLineColor(4);
  form3b->Draw("same");

  canvas3->cd();
  canvas3->SetLogx();
  canvas3->SetLogy();
  TF1 *form1c = new TF1("form1c",Prob,1,1000000,2);
  TF1 *form2c = new TF1("form2c",Prob,1,1000000,2);
  TF1 *form3c = new TF1("form3c",Prob,1,1000000,2);
  //form1c->SetParameters(TMath::Pi()/62.73,0.);
  //form2c->SetParameters(TMath::Pi()/62.73,3.);
  //form3c->SetParameters(TMath::Pi()/62.73,6.);
  form1c->SetParameters(TMath::Pi()/62.73,1.);
  form2c->SetParameters(TMath::Pi()/62.73,10.);
  form3c->SetParameters(TMath::Pi()/62.73,100.);
  form1c->SetNpx(10000);
  form1c->SetLineColor(2);
  form1c->SetLineStyle(2);
  form1c->SetMaximum(2);
  form1c->SetMinimum(0.0001);
  form1c->Draw();
  //form1c->SetTitle("Oscillation Probability - sin^{2}2#theta = 0.01");
  form1c->SetTitle("Matter Mixing Angle - sin^{2}2#theta = 0.01");
  form1c->GetHistogram()->GetXaxis()->SetTitle("E/#Delta m^{2} (GeV/eV^{2})");
  //form1c->GetHistogram()->GetYaxis()->SetTitle("P_{#nu_{#mu}#rightarrow#nu_{e}}");
  form1c->GetHistogram()->GetYaxis()->SetTitle("sin^{2}2#theta_{M}");
  form2c->SetNpx(10000);
  form2c->SetLineColor(3);
  form2c->SetLineStyle(4);
  form2c->Draw("same");
  form3c->SetNpx(10000);
  form3c->SetLineColor(4);
  form3c->Draw("same");

  canvas1->Modified();
  canvas1->Update();

  TPaveText *t1 = (TPaveText*) canvas1->FindObject("title");
  t1->SetTextSize(0.06);
  t1->SetTextAlign(11);
  
  canvas2->Modified();
  canvas2->Update();
  
  TPaveText *t2 = (TPaveText*) canvas2->FindObject("title");
  t2->SetTextSize(0.06);
  t2->SetTextAlign(11);

  canvas3->Modified();
  canvas3->Update();

  TPaveText *t3 = (TPaveText*) canvas3->FindObject("title");
  t3->SetTextSize(0.06);
  t3->SetTextAlign(11);
  
}

double sin2tw(double *x,double *par)
{

  float z=1.;
  float a=2.;

  return TMath::Power(TMath::Sin(2*par[0]),2)/(TMath::Power(TMath::Sin(2*par[0]),2) + TMath::Power(TMath::Cos(2*par[0]) - x[0]*par[1]*(z/a)/6550.,2));

}

double Prob(double *x,double *par)
{

  float z=1.;
  float a=2.;

  double delE = 0.5*(1./x[0])*sqrt(TMath::Power(TMath::Sin(2*par[0]),2)+
	       TMath::Power(TMath::Cos(2*par[0])-x[0]*par[1]*(z/a)/6550.,2));

  double sin2tw = sin2tw(x,par);

  //return sin2tw*TMath::Power(TMath::Sin(1.27*732.*delE*0.5),2);
  //return sin2tw*TMath::Power(TMath::Sin(1.27*732./x[0]),2);
  return sin2tw;

}






