Plot()
{

  TCanvas *canvas1 = new TCanvas("canvas1","canvas1");
  TCanvas *canvas2 = new TCanvas("canvas2","canvas2");
  TCanvas *canvas3 = new TCanvas("canvas3","canvas3");
  
  canvas1->cd();
  TF1 *form1 = new TF1("form1",OscProb,0,10,3);
  form1->SetParameters(TMath::Pi()/4,0.005,732);
  form1->SetNpx(10000);
  form1->SetRange(0.1,10);
  form1->Draw();
  form1->SetTitle("Oscillation Probability - #Delta m^{2} = 0.005eV^{2}");
  form1->GetHistogram()->GetXaxis()->SetTitle("E (GeV)");
  form1->GetHistogram()->GetYaxis()->SetTitle("P_{#nu_{#mu}#rightarrow#nu_{e}}");

  canvas1->Modified();
  canvas1->Update();
  TPaveText *t1 = (TPaveText*) canvas1->FindObject("title");
  t1->SetTextSize(0.06);
  t1->SetTextAlign(11);

  canvas2->cd();
  TF1 *form2 = new TF1("form2",OscProb,0,10,3);
  form2->SetParameters(TMath::Pi()/4,0.002,732);
  form2->SetNpx(10000);
  form2->SetRange(0.1,10);
  form2->Draw();
  form2->SetTitle("Oscillation Probability - #Delta m^{2} = 0.002eV^{2}");
  form2->GetHistogram()->GetXaxis()->SetTitle("E (GeV)");
  form2->GetHistogram()->GetYaxis()->SetTitle("P_{#nu_{#mu}#rightarrow#nu_{e}}");

  canvas2->Modified();
  canvas2->Update();
  TPaveText *t2 = (TPaveText*) canvas2->FindObject("title");
  t2->SetTextSize(0.06);
  t2->SetTextAlign(11);

  canvas3->cd();
  TF1 *form3 = new TF1("form3",OscProb,0,10,3);
  form3->SetParameters(TMath::Pi()/4,0.001,732);
  form3->SetNpx(10000);
  form3->SetRange(0.1,10);
  form3->Draw();
  form3->SetTitle("Oscillation Probability - #Delta m^{2} = 0.001eV^{2}");
  form3->GetHistogram()->GetXaxis()->SetTitle("E (GeV)");
  form3->GetHistogram()->GetYaxis()->SetTitle("P_{#nu_{#mu}#rightarrow#nu_{e}}");


  canvas3->Modified();
  canvas3->Update();
  TPaveText *t3 = (TPaveText*) canvas3->FindObject("title");
  t3->SetTextSize(0.06);
  t3->SetTextAlign(11);
}

double OscProb(double *x,double *par)
{
  
  return TMath::Power(TMath::Sin(2*par[0])*TMath::Sin(1.27*par[1]*par[2]/x[0]),2);
  
}








